Version 2.9 Installation

I am currently running Version 2.8.1 on an old Macbook. Can I simply download Version 2.9 and install it? Is it Free? Thanks

Yes, you can, and yes, it is.

If you have a licence for 2.8.1, it also covers 2.9 (but not version 3) – subject to the following OS guidance:

literatureandlatte.com/legacy-download

Slàinte mhòr.

Note that the only change between Scrivener 2.8.1 and Scrivener 2.9 is that Scrivener 2.9 will accept a Scrivener 3 license. So if you’re happily running Scrivener 2.8.1, you can upgrade, but there’s no particular reason to do so.

Katherine